BJ Movement - Bug #1425

CHH: Sa'Dax Senshali
2015-07-03 02:14 PM - LostOne

Status: Closed
Priority: Normal
Assignee:
Category:

Target version:

vbulletin_issue_id:

Description

This fight needs some adjustment as well. The tank will not always move into range of the orbs... this is the code | use to make this
fight 100%

This is called as part of a larger script... the pluse on the function call it is every 1.5 seconds. Won't work without modifcation but
gives you the idea.

call senshali_helper "Sa'Dax Senshali"

function senshali_helper(string mob_name)

{

if ${Actor["${mob_name}"|(exists)} && ${Actor["${mob_name}"].Health} < 15
LoopKeepRunning:Set[FALSE]

if ${LoopKeepRunning}

{
if ${Actor["${mob_name}"].Health} < 95 && !${Actor["${mob_name}"].IsAggro} &&
${Math.Distance[${Me.X},${Me.Z},95.779999,42.919998]} > 3
{
echo Get_AbsoluteCampSpot: ${Ogre_CampSpot.Get_AbsoluteCampSpot}
echo Current Loc: ${Me.X} ${Me.Y} ${Me.Z}

echo bjquest_helper: Changing the camp spot for this fight!

OgreBotAtom atom_OgreBotChangeCampSpotForWho ${Me.Name} 95.779999 -109.510002 42.919998
wait 5

OgreBotAtom a_MoveToCampSpot ${Me.Name} 1 29

do

{

waitframe

1
while ${Actor["${mob_name}"](exists)} && !${Actor["${mob_name}"].IsAggro}

History

#1 - 2015-07-29 09:05 PM - blammo

yes please.. this fight will not complete without help. Agree with the fix.

#2 - 2015-11-19 08:37 AM - bjcasey

- Status changed from New to Closed
